Skip to main content
PATCH
Update the Grafana connection

Authorizations

Authorization
string
header
required

Enter "Bearer {token}"

Path Parameters

id
string
required

Connection id from the id field of the connection list, not the fpc_ connection_id

Body

application/json

Grafana connection

auth_mode
enum<string>
required
Available options:
basic,
grafana_service_account
url
string
required
datasource_uid
string
extra_matchers
string
label_filters
object
token
string
username
string

Response

OK

message
string
required
Example:

"some message"

status
string
required
Example:

"success"

data
object